## simgear 2017.2.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.0)

if(COMMAND cmake_policy)
   if(POLICY CMP0054)
       cmake_policy(SET CMP0054 NEW)
   endif()
   if(POLICY CMP0042)
       cmake_policy(SET CMP0042 NEW)
   endif()
endif()


message(STATUS "CMAKE Build type: ${CMAKE_BUILD_TYPE}")
# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Debug' as none was specified.")
  set(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release"
    "MinSizeRel" "RelWithDebInfo")
endif()

include (CheckFunctionExists)
include (CheckIncludeFile)
include (CheckLibraryExists)
include (CheckCXXSourceCompiles)
include (CheckCXXCompilerFlag)
include (GenerateExportHeader)

# only relevant for building shared libs but let's set it regardless
set(CMAKE_OSX_RPATH 1)

# let's use & require C++11 - note these are only functional with CMake 3.1
# we do manual fallbacks for CMake 3.0 in the compilers section
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED YES)

# read 'version' file into a variable (stripping any newlines or spaces)
file(READ version versionFile)
string(STRIP ${versionFile} SIMGEAR_VERSION)

project(SimGear VERSION ${SIMGEAR_VERSION} LANGUAGES C CXX)

# using 10.7 because boost requires libc++ and 10.6 doesn't include it
# Cmake documentation says we must set this before calling project(), but
# it only seems to be picked up setting it /after/ the call to project()
set(CMAKE_OSX_DEPLOYMENT_TARGET "10.7")

# add a dependency on the versino file
set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS version)

set(FIND_LIBRARY_USE_LIB64_PATHS ON)

# use simgear version also as the SO version (if building SOs)
SET(SIMGEAR_SOVERSION ${SIMGEAR_VERSION})

# Warning when build is not an out-of-source build.
string(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" InSourceBuild)
if(InSourceBuild)
    message(WARNING  "Avoid building inside the source tree!")
    message(WARNING  "Create a separate build directory instead (i.e. 'sgbuild') and call CMake from there: ")
    message(WARNING  "  mkdir ../sgbuild && cd ../sgbuild && cmake ${CMAKE_SOURCE_DIR}")
endif(InSourceBuild)

#packaging
SET(CPACK_RESOURCE_FILE_LICENSE "${PROJECT_SOURCE_DIR}/COPYING")
SET(CPACK_RESOURCE_FILE_README "${PROJECT_SOURCE_DIR}/README")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Simulation support libraries for FlightGear and related projects")
SET(CPACK_PACKAGE_VENDOR "The FlightGear project")
SET(CPACK_GENERATOR "TBZ2")
SET(CPACK_INSTALL_CMAKE_PROJECTS  ${CMAKE_CURRENT_BINARY_DIR};SimGear;ALL;/)


# split version string into components, note CMAKE_MATCH_0 is the entire regexp match
string(REGEX MATCH "([0-9]+)\\.([0-9]+)\\.([0-9]+)" CPACK_PACKAGE_VERSION ${SIMGEAR_VERSION} )
set(CPACK_PACKAGE_VERSION_MAJOR ${CMAKE_MATCH_1})
set(CPACK_PACKAGE_VERSION_MINOR ${CMAKE_MATCH_2})
set(CPACK_PACKAGE_VERSION_PATCH ${CMAKE_MATCH_3})

message(STATUS "version is ${CPACK_PACKAGE_VERSION_MAJOR} dot ${CPACK_PACKAGE_VERSION_MINOR} dot ${CPACK_PACKAGE_VERSION_PATCH}")

set(CPACK_SOURCE_GENERATOR TBZ2)
set(CPACK_SOURCE_PACKAGE_FILE_NAME "simgear-${SIMGEAR_VERSION}" CACHE INTERNAL "tarball basename")
set(CPACK_SOURCE_IGNORE_FILES
  "^${PROJECT_SOURCE_DIR}/.git;\\\\.gitignore;Makefile.am;~$;${CPACK_SOURCE_IGNORE_FILES}")

include (CPack)

# We have some custom .cmake scripts not in the official distribution.
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMakeModules;${CMAKE_MODULE_PATH}")

# Change the default build type to something fast
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release CACHE STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)

# Determine name of library installation directory, i.e. "lib" vs "lib64", which
# differs between all Debian-based vs all other Linux distros.
# See cmake bug #11964, http://cmake.org/gitweb?p=cmake.git;a=commit;h=126c993d
include(GNUInstallDirs)
message(STATUS "Library installation directory: ${CMAKE_INSTALL_LIBDIR}")

#####################################################################################
# Configure library search paths
#####################################################################################

if (NOT MSVC)
option(SIMGEAR_SHARED   "Set to ON to build SimGear as a shared library/framework" OFF)
option(SYSTEM_EXPAT     "Set to ON to build SimGear using the system expat library" OFF)
option(SYSTEM_UDNS      "Set to ON to build SimGear using the system udns library" OFF)
else()
# Building SimGear DLLs is currently not supported for MSVC.
set(SIMGEAR_SHARED OFF)
# Using external 3rd party libraries is currently not supported for MSVC - it would require shared simgear (DLL).
set(SYSTEM_EXPAT OFF)
set(SYSTEM_UDNS OFF)
endif()

option(SIMGEAR_HEADLESS "Set to ON to build SimGear without GUI/graphics support" OFF)
option(ENABLE_RTI       "Set to ON to build SimGear with RTI support" OFF)
option(ENABLE_GDAL      "Set to ON to build SimGear with GDAL support" OFF)
option(ENABLE_TESTS     "Set to OFF to disable building SimGear's test applications" ON)
option(ENABLE_SOUND     "Set to OFF to disable building SimGear's sound support" ON)
option(USE_AEONWAVE     "Set to ON to use AeonWave instead of OpenAL" OFF)
option(ENABLE_PKGUTIL   "Set to ON to build the sg_pkgutil application (default)" ON)
option(ENABLE_DNS       "Set to ON to use udns library and DNS service resolver" ON)
option(ENABLE_SIMD      "Enable SSE/SSE2 support for x86 compilers" ON)
option(ENABLE_OPENMP    "Enable OpenMP compiler support" OFF)

include (DetectArch)

# until the fstream fix is applied and generally available in OSG,
# keep the compatability link option as the default
option(OSG_FSTREAM_EXPORT_FIXED "Set to ON if the osgDB fstream export patch is applied" OFF)

if (MSVC)
  GET_FILENAME_COMPONENT(PARENT_DIR ${PROJECT_BINARY_DIR} PATH)
  if (CMAKE_CL_64)
    SET(TEST_3RDPARTY_DIR "${PARENT_DIR}/3rdparty.x64")
  else (CMAKE_CL_64)
    SET(TEST_3RDPARTY_DIR "${PARENT_DIR}/3rdparty")
  endif (CMAKE_CL_64)
  if (EXISTS ${TEST_3RDPARTY_DIR})
    set(MSVC_3RDPARTY_ROOT ${PARENT_DIR} CACHE PATH "Location where the third-party dependencies are extracted")
  else (EXISTS ${TEST_3RDPARTY_DIR})
    set(MSVC_3RDPARTY_ROOT NOT_FOUND CACHE PATH "Location where the third-party dependencies are extracted")
  endif (EXISTS ${TEST_3RDPARTY_DIR})
else (MSVC)
  set(MSVC_3RDPARTY_ROOT NOT_FOUND CACHE PATH "Location where the third-party dependencies are extracted")
endif (MSVC)

if (MSVC AND MSVC_3RDPARTY_ROOT)
  message(STATUS "3rdparty files located in ${MSVC_3RDPARTY_ROOT}")

  set( OSG_MSVC "msvc" )
  if (${MSVC_VERSION} EQUAL 1900)
      set( OSG_MSVC ${OSG_MSVC}140 )
  elseif (${MSVC_VERSION} EQUAL 1800)
      set( OSG_MSVC ${OSG_MSVC}120 )
  else ()
      message(FATAL_ERROR "Visual Studio 2013/2015 is required now")
  endif ()
  if (CMAKE_CL_64)
      set( OSG_MSVC ${OSG_MSVC}-64 )
      set( MSVC_3RDPARTY_DIR 3rdParty.x64 )
  else (CMAKE_CL_64)
      set( MSVC_3RDPARTY_DIR 3rdParty )
  endif (CMAKE_CL_64)

  set (CMAKE_LIBRARY_PATH ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/lib ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/OpenScenegraph/lib ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/OpenRTI/lib )
  set (CMAKE_INCLUDE_PATH ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/OpenScenegraph/include ${MSVC_3RDPARTY_ROOT}/install/${OSG_MSVC}/OpenRTI/include)

  if(NOT BOOST_INCLUDEDIR)
    # if this variable was not set by the user, set it to 3rdparty root's
    # parent dir, which is the normal location for people using our
    # windows-3rd-party repo
    GET_FILENAME_COMPONENT(MSVC_ROOT_PARENT_DIR ${MSVC_3RDPARTY_ROOT} PATH)
    set(BOOST_INCLUDEDIR ${MSVC_ROOT_PARENT_DIR})
    message(STATUS "BOOST_INCLUDEDIR is ${BOOST_INCLUDEDIR}")
  endif()

  if (NOT USE_AEONWAVE)
    set (OPENAL_INCLUDE_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include)
    set (OPENAL_LIBRARY_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/lib)
    message(STATUS "OPENAL_INCLUDE_DIR is ${OPENAL_INCLUDE_DIR}")
  endif()
endif (MSVC AND MSVC_3RDPARTY_ROOT)

if(APPLE)
  find_library(COCOA_LIBRARY Cocoa)
endif()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux" OR ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    find_package(Threads REQUIRED)
endif()

find_package(Boost REQUIRED)
set (BOOST_CXX_FLAGS "-DBOOST_BIMAP_DISABLE_SERIALIZATION")
include(BoostTestTargets)

if(SIMGEAR_HEADLESS)
    message(STATUS "SimGear mode: HEADLESS")
    set(ENABLE_SOUND 0)
else()
    message(STATUS "SimGear mode: NORMAL")
    find_package(OpenGL REQUIRED)

    if (ENABLE_SOUND)
        if (USE_AEONWAVE)
            find_package(AAX COMPONENTS aax REQUIRED)
        else()
            find_package(OpenAL REQUIRED)
        endif()

        message(STATUS "Sound support: ENABLED")
    endif(ENABLE_SOUND)

    find_package(OpenSceneGraph 3.2.0 REQUIRED osgText osgSim osgDB osgParticle osgGA osgViewer osgUtil)

    if (MSVC)
      set(CMAKE_REQUIRED_INCLUDES ${OPENSCENEGRAPH_INCLUDE_DIRS})
      # ensure OSG was compiled with OSG_USE_UTF8_FILENAME set
      check_cxx_source_compiles(
         "#include <osg/Config>
         #if !defined(OSG_USE_UTF8_FILENAME)
          #error OSG UTF8 support not enabled
         #endif
         int main() { return 0; }"
         SIMGEAR_OSG_USE_UTF8_FILENAME)
      if (NOT SIMGEAR_OSG_USE_UTF8_FILENAME)
        message(FATAL_ERROR "Please rebuild OSG with OSG_USE_UTF8_FILENAME set to ON")
      endif()
    endif()
endif(SIMGEAR_HEADLESS)

find_package(ZLIB 1.2.4 REQUIRED)
find_package(CURL REQUIRED)

if (SYSTEM_EXPAT)
    message(STATUS "Requested to use system Expat library, forcing SIMGEAR_SHARED to true")
    set(SIMGEAR_SHARED ON)
    find_package(EXPAT REQUIRED)

else()
    message(STATUS "Using built-in expat code")
    # XML_STATIC is important to avoid sg_expat_external.h
    # declaring symbols as declspec(import)
    add_definitions(-DHAVE_EXPAT_CONFIG_H -DXML_STATIC)
    set(EXPAT_INCLUDE_DIRS
	    ${PROJECT_SOURCE_DIR}/3rdparty/expat
	    ${PROJECT_BINARY_DIR}/3rdparty/expat)
endif(SYSTEM_EXPAT)

check_include_file(inttypes.h HAVE_INTTYPES_H)
check_include_file(sys/time.h HAVE_SYS_TIME_H)
check_include_file(unistd.h HAVE_UNISTD_H)
check_include_file(windows.h HAVE_WINDOWS_H)

if(HAVE_INTTYPES_H)
  # ShivaVG needs inttypes.h
  add_definitions(-DHAVE_INTTYPES_H)
endif()

if(ENABLE_RTI)
    # See if we have any rti library variant installed
    message(STATUS "RTI: ENABLED")
    find_package(RTI)
else()
    message(STATUS "RTI: DISABLED")
endif(ENABLE_RTI)

if(ENABLE_GDAL)
    find_package(GDAL 2.0.0 REQUIRED)
    if (GDAL_FOUND)
	include_directories(${GDAL_INCLUDE_DIR})
    endif(GDAL_FOUND)
endif(ENABLE_GDAL)

check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
check_function_exists(rint HAVE_RINT)
check_function_exists(mkdtemp HAVE_MKDTEMP)
check_function_exists(bcopy HAVE_BCOPY)
check_function_exists(mmap HAVE_MMAP)

if (NOT MSVC)
  check_function_exists(timegm HAVE_TIMEGM)
  if (NOT HAVE_TIMEGM)
    message(FATAL_ERROR "Non-Windows platforms must support timegm()")
  endif()
endif()

if(HAVE_UNISTD_H)
    set(CMAKE_REQUIRED_INCLUDES ${CMAKE_INCLUDE_PATH})
    check_cxx_source_compiles(
       "#include <unistd.h>
        #if !defined(_POSIX_TIMERS) || (0 >= _POSIX_TIMERS)
            #error clock_gettime is not supported
        #endif

        int main() { return 0; }
        "
        HAVE_CLOCK_GETTIME)
endif(HAVE_UNISTD_H)

set(RT_LIBRARY "")
if(HAVE_CLOCK_GETTIME)
    check_library_exists(rt clock_gettime "" HAVE_RT)
    if(HAVE_RT)
        set(RT_LIBRARY rt)
    endif(HAVE_RT)
endif(HAVE_CLOCK_GETTIME)

set(DL_LIBRARY "")
check_cxx_source_compiles(
    "#include <dlfcn.h>
    int main(void) {
        return 0;
    }
    "
    HAVE_DLFCN_H)

=== simgear/environment/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS metar.hxx precipitation.hxx)
set(SOURCES metar.cxx precipitation.cxx)

simgear_scene_component(environment environment "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)
add_executable(test_metar test_metar.cxx)

if (SIMGEAR_SHARED)
    target_link_libraries(test_metar SimGearScene ${GDAL_LIBRARY}) 
else()
    target_link_libraries(test_metar
        SimGearScene SimGearCore
        ${CMAKE_THREAD_LIBS_INIT}
        ${ZLIB_LIBRARY}
        ${RT_LIBRARY}
        ${GDAL_LIBRARY})
endif()

add_test(metar ${EXECUTABLE_OUTPUT_PATH}/test_metar)
endif(ENABLE_TESTS)

=== simgear/package/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS
    Catalog.hxx
    Package.hxx
    Install.hxx
    Root.hxx
    Delegate.hxx
    )

set(SOURCES
    Catalog.cxx
    Package.cxx
    Install.cxx
    Root.cxx
# internal helpers
    md5.h md5.c
    ioapi.c ioapi_mem.c ioapi.h
    unzip.h unzip.c
    )

simgear_component(package package "${SOURCES}" "${HEADERS}")

if(ENABLE_PKGUTIL)
  add_executable(sg_pkgutil pkgutil.cxx)
  target_link_libraries(sg_pkgutil ${TEST_LIBS})
endif()

if(ENABLE_TESTS)

add_executable(catalog_test CatalogTest.cxx)
target_link_libraries(catalog_test ${TEST_LIBS})

set_target_properties(catalog_test PROPERTIES
        COMPILE_DEFINITIONS "SRC_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"" )

add_test(catalog_test ${EXECUTABLE_OUTPUT_PATH}/catalog_test)

endif(ENABLE_TESTS)

=== simgear/scene/CMakeLists.txt ===
include (SimGearComponent)

include_directories(${PROJECT_SOURCE_DIR})

foreach( mylibfolder 
        material
        model
        sky
        tgdb
        util
        tsync
    )

    add_subdirectory(${mylibfolder})

endforeach( mylibfolder )

if(ENABLE_GDAL)
    add_subdirectory(dem)
endif(ENABLE_GDAL)

=== simgear/sound/CMakeLists.txt ===
include (SimGearComponent)

set(HEADERS 
    sample.hxx
    sample_group.hxx
    xmlsound.hxx
    readwav.hxx
    soundmgr.hxx
    )
    
set(SOURCES 
    sample.cxx
    sample_group.cxx
    xmlsound.cxx
    readwav.cxx
    soundmgr_openal_private.hxx
    )

if (USE_AEONWAVE)
    set(SOURCES ${SOURCES}
        soundmgr_aeonwave.cxx
        )
else()
    set(SOURCES ${SOURCES}
        soundmgr_openal.cxx
        )
endif()

simgear_scene_component(sound sound "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS AND ENABLE_SOUND)
    function(create_test TEST_NAME)
        add_executable(${TEST_NAME} ${TEST_NAME}.cxx)
        target_link_libraries(${TEST_NAME} ${SOUND_TEST_LIBS})
        set_target_properties(${TEST_NAME} PROPERTIES
            COMPILE_DEFINITIONS "SRC_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}\"" )
    endfunction()

    set( SOUND_TEST_LIBS
        ${TEST_LIBS}
    )

    if (USE_AEONWAVE)
        if (SIMGEAR_SHARED)
        else()
            set(SOUND_TEST_LIBS ${SOUND_TEST_LIBS}
                ${AAX_LIBRARY}
            )
        endif()

        create_test(aeonwave_test1)

    else ()
        if (SIMGEAR_SHARED)
        else()
            set(SOUND_TEST_LIBS ${SOUND_TEST_LIBS}
                ${OPENAL_LIBRARY}
            )
        endif()

        create_test(openal_test1)
    endif()

    create_test(soundmgr_test)
    create_test(soundmgr_test2)
endif()

=== simgear/io/iostreams/CMakeLists.txt ===
include (SimGearComponent)

set(HEADERS
    sgstream.hxx
    gzfstream.hxx
    gzcontainerfile.hxx
    zlibstream.hxx
    )

set(SOURCES
    sgstream.cxx
    gzfstream.cxx
    gzcontainerfile.cxx
    zlibstream.cxx
    )

simgear_component(IOStreams io/iostreams "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)

  add_executable(test_streams sgstream_test.cxx )
  target_link_libraries(test_streams ${TEST_LIBS})
  add_test(streams ${EXECUTABLE_OUTPUT_PATH}/test_streams)

  add_executable(test_zlibstream zlibstream_test.cxx)
  target_link_libraries(test_zlibstream ${TEST_LIBS})
  add_test(zlibstream ${EXECUTABLE_OUTPUT_PATH}/test_zlibstream)

endif(ENABLE_TESTS)

=== debian/changelog ===
simgear (1:2017.2.1+dfsg-2) unstable; urgency=medium

  * Bump S-V: change priority to optional.
  * Really drop the patch use_debian_udns.patch.
  * Extend the spelling fixes patch.

 -- Markus Wanner <markus@bluegap.ch>  Mon, 07 Aug 2017 23:23:13 +0200

simgear (1:2017.2.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches kfreebsd.patch, no_3rdparty.patch and
    disable_force_shared.patch.
  * Remove patch relax_version_check.patch, it's included upstream.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 16 Jul 2017 20:02:08 +0200

=== debian/control ===
Source: simgear
Section: libs
Priority: optional
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>,
 Markus Wanner <markus@bluegap.ch>
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, libxi-dev,
 libice-dev, libsm-dev, libxt-dev, libxmu-dev, zlib1g-dev, libboost-dev,
 libopenal-dev, libalut-dev, libexpat1-dev, cmake (>= 2.6),
 libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 freeglut3-dev | libglut3-dev,
 libjpeg-dev,
 libutfcpp-dev,
 libudns-dev,
 libcurl4-gnutls-dev | libcurl-dev,
 libopenscenegraph-dev (>= 3.2.0~)
Standards-Version: 4.0.1
Homepage: http://www.simgear.org/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/simgear.git
Vcs-Git: https://anonscm.debian.org/collab-maint/simgear.git

Package: libsimgear-dev
Architecture: any
Section: libdevel
Depends: libopenscenegraph-dev, libc6-dev, ${misc:Depends}
Replaces: simgear-dev (<< 2.10.0~)
Breaks: simgear-dev (<< 2.10.0~)
Description: Simulator Construction Gear -- development files
 SimGear is a collection of libraries useful for constructing
 simulation and visualization applications such as FlightGear
 or TerraGear.
 .
 This package contains the headers and static libraries.

## simgear 2017.3.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -249,8 +249,8 @@
     # declaring symbols as declspec(import)
     add_definitions(-DHAVE_EXPAT_CONFIG_H -DXML_STATIC)
     set(EXPAT_INCLUDE_DIRS
-	    ${PROJECT_SOURCE_DIR}/3rdparty/expat
-	    ${PROJECT_BINARY_DIR}/3rdparty/expat)
+            ${PROJECT_SOURCE_DIR}/3rdparty/expat
+            ${PROJECT_BINARY_DIR}/3rdparty/expat)
 endif(SYSTEM_EXPAT)
 
 check_include_file(inttypes.h HAVE_INTTYPES_H)
@@ -264,9 +264,17 @@
 endif()
 
 if(ENABLE_RTI)
-    # See if we have any rti library variant installed
-    message(STATUS "RTI: ENABLED")
-    find_package(RTI)
+    find_package(PkgConfig)
+    if(PKG_CONFIG_FOUND)
+      SET(ENV{PKG_CONFIG_PATH} "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig:$ENV{PKG_CONFIG_PATH}")
+      pkg_check_modules(RTI hla-rti13)
+    endif(PKG_CONFIG_FOUND)
+    if(RTI_FOUND)
+      SET(RTI_INCLUDE_DIR "${RTI_INCLUDE_DIRS}")
+      message(STATUS "RTI: ENABLED")
+    else()
+      message(STATUS "RTI: DISABLED")
+    endif(RTI_FOUND)
 else()
     message(STATUS "RTI: DISABLED")
 endif(ENABLE_RTI)
@@ -274,7 +282,7 @@
 if(ENABLE_GDAL)
     find_package(GDAL 2.0.0 REQUIRED)
     if (GDAL_FOUND)
-	include_directories(${GDAL_INCLUDE_DIR})
+        include_directories(${GDAL_INCLUDE_DIR})
     endif(GDAL_FOUND)
 endif(ENABLE_GDAL)
 
@@ -305,19 +313,3 @@
 endif(HAVE_UNISTD_H)
 
 set(RT_LIBRARY "")
-if(HAVE_CLOCK_GETTIME)
-    check_library_exists(rt clock_gettime "" HAVE_RT)
-    if(HAVE_RT)
-        set(RT_LIBRARY rt)
-    endif(HAVE_RT)
-endif(HAVE_CLOCK_GETTIME)
-
-set(DL_LIBRARY "")
-check_cxx_source_compiles(
-    "#include <dlfcn.h>
-    int main(void) {
-        return 0;
-    }
-    "
-    HAVE_DLFCN_H)
-

=== simgear/CMakeLists.txt ===

file(WRITE ${PROJECT_BINARY_DIR}/simgear/version.h "#define SIMGEAR_VERSION ${SIMGEAR_VERSION}")

foreach( mylibfolder
        bucket
        bvh
        debug
        embedded_resources
        ephemeris
        io
        magvar
        math
        misc
        nasal
        nasal/cppbind
        props
        serial
        structure
        threads
        timing
        xml
        package
    )

    add_subdirectory(${mylibfolder})

endforeach( mylibfolder )

if(NOT SIMGEAR_HEADLESS)
    add_subdirectory(canvas)
    add_subdirectory(environment)
    add_subdirectory(screen)
    add_subdirectory(scene)
    add_subdirectory(sound)
endif(NOT SIMGEAR_HEADLESS)


if(ENABLE_RTI)
    add_subdirectory(hla)
endif(ENABLE_RTI)


set(HEADERS compiler.h constants.h sg_inlines.h ${PROJECT_BINARY_DIR}/simgear/version.h)
install (FILES ${HEADERS}  DESTINATION include/simgear/)

get_property(coreSources GLOBAL PROPERTY CORE_SOURCES)
get_property(sceneSources GLOBAL PROPERTY SCENE_SOURCES)
get_property(publicHeaders GLOBAL PROPERTY PUBLIC_HEADERS)
get_property(localExpatSources GLOBAL PROPERTY LOCAL_EXPAT_SOURCES)

if(SIMGEAR_SHARED)
    message(STATUS "Library building mode: SHARED LIBRARIES")
    add_library(SimGearCore SHARED ${coreSources} ${localExpatSources})

    set_property(TARGET SimGearCore PROPERTY LINKER_LANGUAGE CXX)
    set_property(TARGET SimGearCore PROPERTY VERSION   ${SIMGEAR_VERSION})
    set_property(TARGET SimGearCore PROPERTY SOVERSION ${SIMGEAR_SOVERSION})


    if(NOT SIMGEAR_HEADLESS)
        add_library(SimGearScene SHARED ${sceneSources})
        set_property(TARGET SimGearScene PROPERTY LINKER_LANGUAGE CXX)
        set_property(TARGET SimGearScene PROPERTY VERSION   ${SIMGEAR_VERSION})
        set_property(TARGET SimGearScene PROPERTY SOVERSION ${SIMGEAR_SOVERSION})
    endif()
else()
    message(STATUS "Library building mode: STATIC LIBRARIES")

	get_property(FG_GROUPS_CORE_SOURCES_C GLOBAL PROPERTY FG_GROUPS_CORE_SOURCES_C)
	string(REPLACE "@" ";" groups ${FG_GROUPS_CORE_SOURCES_C} )
	foreach(g ${groups})
		string(REPLACE "#" ";" g2 ${g})
		list(GET g2 0 name)
		list(REMOVE_AT g2 0)
		source_group("${name}\\Sources" FILES ${g2})
	endforeach()

	get_property(FG_GROUPS_CORE_SOURCES_H GLOBAL PROPERTY FG_GROUPS_CORE_SOURCES_H)
	string(REPLACE "@" ";" groups ${FG_GROUPS_CORE_SOURCES_H} )
	foreach(g ${groups})
		string(REPLACE "#" ";" g2 ${g})
		list(GET g2 0 name)
		list(REMOVE_AT g2 0)
		source_group("${name}\\Headers" FILES ${g2})
	endforeach()

    add_library(SimGearCore STATIC ${coreSources} ${localExpatSources})

    if(NOT SIMGEAR_HEADLESS)
		get_property(FG_GROUPS_SCENE_SOURCES_C GLOBAL PROPERTY FG_GROUPS_SCENE_SOURCES_C)
		string(REPLACE "@" ";" groups ${FG_GROUPS_SCENE_SOURCES_C} )
		foreach(g ${groups})
			string(REPLACE "#" ";" g2 ${g})
			list(GET g2 0 name)
			list(REMOVE_AT g2 0)
			source_group("${name}\\Sources" FILES ${g2})
		endforeach()

		get_property(FG_GROUPS_SCENE_SOURCES_H GLOBAL PROPERTY FG_GROUPS_SCENE_SOURCES_H)
		string(REPLACE "@" ";" groups ${FG_GROUPS_SCENE_SOURCES_H} )
		foreach(g ${groups})
			string(REPLACE "#" ";" g2 ${g})
			list(GET g2 0 name)
			list(REMOVE_AT g2 0)
			source_group("${name}\\Headers" FILES ${g2})
		endforeach()

        add_library(SimGearScene STATIC ${sceneSources})
    endif(NOT SIMGEAR_HEADLESS)
endif(SIMGEAR_SHARED)

target_include_directories(SimGearCore BEFORE PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:include>)

target_include_directories(SimGearCore PUBLIC
  ${Boost_INCLUDE_DIRS} ${ZLIB_INCLUDE_DIR})
target_include_directories(SimGearCore PRIVATE
  ${EXPAT_INCLUDE_DIRS} ${CURL_INCLUDE_DIRS})

    install(TARGETS SimGearCore
            EXPORT SimGearTargets
            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

if (NOT SIMGEAR_HEADLESS)
  install(TARGETS SimGearScene
          EXPORT SimGearTargets
          LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
          ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

  target_include_directories(SimGearScene BEFORE PUBLIC
      $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:include>)

    target_include_directories(SimGearScene PUBLIC ${OPENSCENEGRAPH_INCLUDE_DIRS})

    if (USE_AEONWAVE)
      target_include_directories(SimGearScene PRIVATE ${AAX_INCLUDE_DIR} )
    else()
      target_include_directories(SimGearScene PRIVATE ${OPENAL_INCLUDE_DIR} )
    endif()
endif()


target_link_libraries(SimGearCore
    ${ZLIB_LIBRARY}
    ${RT_LIBRARY}
    ${DL_LIBRARY}
    ${CMAKE_THREAD_LIBS_INIT}
    ${COCOA_LIBRARY}
    ${CURL_LIBRARIES}
    ${WINSOCK_LIBRARY})

if(SYSTEM_EXPAT)
    target_link_libraries(SimGearCore
        ${EXPAT_LIBRARIES})
endif()

if(ENABLE_DNS AND SYSTEM_UDNS)
    target_link_libraries(SimGearCore
        ${UDNS_LIBRARIES})
endif()

if(NOT SIMGEAR_HEADLESS)
    target_include_directories(SimGearScene PRIVATE ${PROJECT_SOURCE_DIR}/simgear/canvas/ShivaVG/include)

    target_link_libraries(SimGearScene
        SimGearCore
        ${ZLIB_LIBRARY}
        ${OPENSCENEGRAPH_LIBRARIES}
        ${OPENAL_LIBRARY}
        ${OPENGL_LIBRARY}
        ${JPEG_LIBRARY})

    if(ENABLE_GDAL)
        target_link_libraries(SimGearScene
            ${GDAL_LIBRARIES})
    endif()

    # only actually needed by canvas/KeyboardEvent.cxx
    target_include_directories(SimGearScene PRIVATE ${PROJECT_SOURCE_DIR}/3rdparty/utf8/source)
endif()

if(ENABLE_RTI)
    # Ugly first aid to make hla compile agian
    set_property(SOURCE hla/RTI13InteractionClass.cxx hla/RTI13ObjectClass.cxx
        hla/RTI13ObjectInstance.cxx hla/RTI13Federate.cxx
        hla/RTI13FederateFactory.cxx
        APPEND PROPERTY COMPILE_FLAGS "-I${RTI_INCLUDE_DIR}")
endif(ENABLE_RTI)

=== simgear/embedded_resources/CMakeLists.txt ===
include (SimGearComponent)

set(HEADERS EmbeddedResource.hxx EmbeddedResourceManager.hxx)
set(SOURCES EmbeddedResource.cxx EmbeddedResourceManager.cxx)

simgear_component(embedded_resources embedded_resources
                  "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)
    add_executable(test_embedded_resources embedded_resources_test.cxx)
    target_link_libraries(test_embedded_resources ${TEST_LIBS})
    add_test(embedded_resources
             ${EXECUTABLE_OUTPUT_PATH}/test_embedded_resources)
endif(ENABLE_TESTS)

=== debian/changelog ===
simgear (1:2017.3.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Use wrap-and-sort for d/control
  * Use debhelper v11
  * Update d/copyright
  * Update Standards-Version to 4.1.3, no changes needed
  * Remove unneeded Build-Depends: freeglut3-dev, libcurl-dev,
    libgl-dev, libglu-dev, libalut-dev, libice-dev, libjpeg-dev,
    libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, libxt-dev
  * Remove outdated versioned Build-Depends on cmake
  * Revert back to libopenscenegraph 3.2 on armel and armhf.
    The libopenscenegraph-3.4 version results in FTBFS errors
    on those two architectures.
  * Remove patch use_debian_udns, has been included upstream since
    version 2016.3.1
  * Fix two typos in patch descriptions
  * Switch Vcs-URLs to salsa.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 13 Mar 2018 11:24:51 +0100

simgear (1:2017.3.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Use libopenscenegraph 3.4 instead of 3.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 22 Oct 2017 20:32:53 +0200

simgear (1:2017.3.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2017.3.1+dfsg
    - Refresh patches
    - Add description for spelling_fixes.patch
  * Update Standards-Version to 4.1.1
    - Use Priority: optional
    - Use HTTPS URL for d/copyright
  * Use debhelper v10
  * Debhelper uses --parallel by default in v10
  * Update URLs for Vcs-* fields
  * Add Multi-Arch: same

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 14 Oct 2017 15:42:53 +0200

=== debian/control ===
Source: simgear
Section: libs
Priority: optional
Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>, Markus Wanner <markus@bluegap.ch>
Build-Depends: cmake,
               debhelper (>= 11~),
               libboost-dev,
               libcurl4-gnutls-dev,
               libexpat1-dev,
               libgl1-mesa-dev,
               libglu1-mesa-dev,
               libopenal-dev,
               libopenscenegraph-3.4-dev [!armel !armhf],
               libopenscenegraph-dev (>= 3.2.0~) [armel armhf],
               libudns-dev,
               libutfcpp-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Homepage: http://www.simgear.org/
Vcs-Browser: https://salsa.debian.org/debian/simgear
Vcs-Git: https://salsa.debian.org/debian/simgear.git

Package: libsimgear-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libc6-dev,
         libopenscenegraph-3.4-dev [!armel !armhf],
         libopenscenegraph-dev [armel armhf],
         ${misc:Depends}
Replaces: simgear-dev (<< 2.10.0~)
Breaks: simgear-dev (<< 2.10.0~)
Description: Simulator Construction Gear -- development files
 SimGear is a collection of libraries useful for constructing
 simulation and visualization applications such as FlightGear
 or TerraGear.
 .
 This package contains the headers and static libraries.

## simgear 2018.1.1~rc+dfsg

=== debian/changelog ===
simgear (1:2018.1.1~rc+dfsg-3) experimental; urgency=medium

  * Team upload.
  * Switch Vcs-URLs to salsa.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 12 Mar 2018 12:41:46 +0100

simgear (1:2018.1.1~rc+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Remove unneeded Build-Depends: freeglut3-dev, libcurl-dev,
    libgl-dev, libglu-dev, libalut-dev, libice-dev, libjpeg-dev,
    libsm-dev, libx11-dev, libxext-dev, libxi-dev, libxmu-dev, libxt-dev
  * Remove outdated versioned Build-Depends on cmake
  * Revert back to libopenscenegraph 3.2 on armel and armhf.
    The libopenscenegraph-3.4 version results in FTBFS errors
    on those two architectures.
  * Remove patch use_debian_udns, has been included upstream since
    version 2016.3.1
  * Fix two typos in patch descriptions

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 09 Mar 2018 17:41:54 +0100

simgear (1:2018.1.1~rc+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2018.1.1~rc+dfsg
    - Refresh patches
    - Remove patch correct_http_test, no longer needed
  * Use wrap-and-sort for d/control
  * Use debhelper v11
  * Update d/copyright
  * Update Standards-Version to 4.1.3, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 07 Mar 2018 23:12:51 +0100

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
repacksuffix=+dfsg,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/ \
 http://sf.net/flightgear/simgear-(.*)\.tar\.bz2

## simgear 2018.1.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,9 @@
    endif()
    if(POLICY CMP0042)
        cmake_policy(SET CMP0042 NEW)
+   endif()
+   if(POLICY CMP0067)
+       cmake_policy(SET CMP0067 NEW)
    endif()
 endif()
 
@@ -49,7 +52,7 @@
 # add a dependency on the versino file
 set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS version)
 
-set(FIND_LIBRARY_USE_LIB64_PATHS ON)
+set_property(GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS TRUE)
 
 # use simgear version also as the SO version (if building SOs)
 SET(SIMGEAR_SOVERSION ${SIMGEAR_VERSION})
@@ -134,6 +137,16 @@
 # until the fstream fix is applied and generally available in OSG,
 # keep the compatability link option as the default
 option(OSG_FSTREAM_EXPORT_FIXED "Set to ON if the osgDB fstream export patch is applied" OFF)
+
+if (CMAKE_COMPILER_IS_GNUCXX OR CLANG)
+  if (CMAKE_VERSION VERSION_LESS 3.1)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++${CMAKE_CXX_STANDARD}")
+  elseif (CMAKE_VERSION VERSION_LESS 3.8)
+    # policy CMP0067 (try_compile does not honor CMAKE_CXX_STANDARD)
+    set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -std=c++${CMAKE_CXX_STANDARD}")
+  endif()
+endif()
+
 
 if (MSVC)
   GET_FILENAME_COMPONENT(PARENT_DIR ${PROJECT_BINARY_DIR} PATH)
@@ -295,21 +308,3 @@
 if (NOT MSVC)
   check_function_exists(timegm HAVE_TIMEGM)
   if (NOT HAVE_TIMEGM)
-    message(FATAL_ERROR "Non-Windows platforms must support timegm()")
-  endif()
-endif()
-
-if(HAVE_UNISTD_H)
-    set(CMAKE_REQUIRED_INCLUDES ${CMAKE_INCLUDE_PATH})
-    check_cxx_source_compiles(
-       "#include <unistd.h>
-        #if !defined(_POSIX_TIMERS) || (0 >= _POSIX_TIMERS)
-            #error clock_gettime is not supported
-        #endif
-
-        int main() { return 0; }
-        "
-        HAVE_CLOCK_GETTIME)
-endif(HAVE_UNISTD_H)
-
-set(RT_LIBRARY "")

=== simgear/package/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
     Package.cxx
     Install.cxx
     Root.cxx
+	Delegate.cxx
 # internal helpers
     md5.h md5.c
     ioapi.c ioapi_mem.c ioapi.h

=== simgear/sound/CMakeLists.txt ===
--- 
+++ 
@@ -4,16 +4,15 @@
     sample.hxx
     sample_group.hxx
     xmlsound.hxx
-    readwav.hxx
     soundmgr.hxx
+    filters.hxx
     )
     
 set(SOURCES 
     sample.cxx
     sample_group.cxx
     xmlsound.cxx
-    readwav.cxx
-    soundmgr_openal_private.hxx
+    filters.cxx
     )
 
 if (USE_AEONWAVE)
@@ -21,8 +20,13 @@
         soundmgr_aeonwave.cxx
         )
 else()
+    set(HEADERS ${HEADERS}
+        readwav.hxx
+        )
     set(SOURCES ${SOURCES}
         soundmgr_openal.cxx
+        soundmgr_openal_private.hxx
+        readwav.cxx
         )
 endif()

=== simgear/structure/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS
    OSGUtils.hxx
    OSGVersion.hxx
    SGAtomic.hxx
    SGBinding.hxx
    SGExpression.hxx
    SGReferenced.hxx
    SGSharedPtr.hxx
    SGSmplhist.hxx
    SGSmplstat.hxx
    SGWeakPtr.hxx
    SGWeakReferenced.hxx
    SGPerfMon.hxx
    singleton.hpp
    Singleton.hxx
    StringTable.hxx
    callback.hxx
    commands.hxx
    event_mgr.hxx
    exception.hxx
    function_list.hxx
    intern.hxx
    map.hxx
    subsystem_mgr.hxx
    StateMachine.hxx
    )

set(SOURCES
    SGAtomic.cxx
    SGBinding.cxx
    SGExpression.cxx
    SGSmplhist.cxx
    SGSmplstat.cxx
    SGPerfMon.cxx
    StringTable.cxx
    commands.cxx
    event_mgr.cxx
    exception.cxx
    subsystem_mgr.cxx 
    StateMachine.cxx
    )

simgear_component(structure structure "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)

add_executable(test_state_machine state_machine_test.cxx)
target_link_libraries(test_state_machine ${TEST_LIBS})
add_test(state_machine ${EXECUTABLE_OUTPUT_PATH}/test_state_machine)

add_executable(test_expressions expression_test.cxx)
target_link_libraries(test_expressions ${TEST_LIBS})
add_test(expressions ${EXECUTABLE_OUTPUT_PATH}/test_expressions)

add_executable(test_shared_ptr shared_ptr_test.cpp)
target_link_libraries(test_shared_ptr ${TEST_LIBS})
add_test(shared_ptr ${EXECUTABLE_OUTPUT_PATH}/test_shared_ptr)

endif(ENABLE_TESTS)

add_boost_test(function_list
  SOURCES function_list_test.cxx
  LIBRARIES ${TEST_LIBS}
)

=== simgear/scene/tsync/CMakeLists.txt ===
include (SimGearComponent)

set(HEADERS
    terrasync.hxx
    )

set(SOURCES 
    terrasync.cxx
    )

simgear_component(tsync scene/tsync "${SOURCES}" "${HEADERS}")

=== debian/changelog ===
simgear (1:2018.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.1.1+dfsg
    - Merge all packaging changes from experimental uploads
  * Add myself to Uploaders
  * Update Standards-Version to 4.1.4, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 22 Apr 2018 12:22:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
-Uploaders: Ove Kaaven <ovek@arcticnet.no>, Markus Wanner <markus@bluegap.ch>
+Uploaders: Ove Kaaven <ovek@arcticnet.no>,
+           Markus Wanner <markus@bluegap.ch>,
+           Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 11~),
                libboost-dev,
@@ -16,7 +18,7 @@
                libudns-dev,
                libutfcpp-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.simgear.org/
 Vcs-Browser: https://salsa.debian.org/debian/simgear
 Vcs-Git: https://salsa.debian.org/debian/simgear.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# debian/rules for simgear, by Markus Wanner
# based on the dh7 template provided by dh_make(1)

# Enable all hardening options
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# http://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
ifneq (,$(findstring $(DEB_HOST_ARCH) , amd64 i386 mipsel ia64 armel armhf arm64 ))

# Note the spaces in the condition above. They stop 'mips' from
# matching 'mipsel'
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
else

# Required on big-endian architectures, see bug #722115
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS) -fno-strict-aliasing
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS) -fno-strict-aliasing
endif
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE="RelWithDebInfo" \
	-DCMAKE_C_FLAGS="$(CFLAGS)" \
	-DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
	-DCMAKE_CXX_FLAGS_RELWITHDEBINFO="-g -DNDEBUG" \
	-DCMAKE_SHARED_LINKER_FLAGS="$(LDFLAGS)" \
	-DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_INSTALL_PREFIX:PATH=/usr \
	-DSIMGEAR_SHARED=OFF \
	-DSYSTEM_EXPAT=ON \
	-DSYSTEM_UDNS=ON \
	-DENABLE_DNS=ON

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_configure:
	mkdir build
	cd build && cmake .. $(CMAKE_FLAGS)

override_dh_clean:
	dh_clean
	rm -rf CMakeFiles

override_dh_auto_test:
		dh_auto_test --no-parallel

get-orig-source:
	uscan --download-current-version --verbose --rename

## simgear 2018.2.2+dfsg

=== simgear/misc/CMakeLists.txt ===

include (SimGearComponent)

set(HEADERS
    CSSBorder.hxx
    ListDiff.hxx
    ResourceManager.hxx
    SimpleMarkdown.hxx
    SVGpreserveAspectRatio.hxx
    argparse.hxx
    interpolator.hxx
    make_new.hxx
    sg_dir.hxx
    sg_hash.hxx
    sg_path.hxx
    stdint.hxx
    stopwatch.hxx
    strutils.hxx
    tabbed_values.hxx
    texcoord.hxx
    test_macros.hxx
    )

set(SOURCES
    CSSBorder.cxx
    ResourceManager.cxx
    SimpleMarkdown.cxx
    SVGpreserveAspectRatio.cxx
    argparse.cxx
    interpolator.cxx
    sg_dir.cxx
    sg_path.cxx
    sg_hash.cxx
    strutils.cxx
    tabbed_values.cxx
    texcoord.cxx
    )

if (WINDOWS)
    list(APPEND HEADERS sgversionhelpers.hxx)
endif()

if (APPLE)
    list(APPEND SOURCES CocoaHelpers.mm)
endif()

simgear_component(misc misc "${SOURCES}" "${HEADERS}")

if(ENABLE_TESTS)

add_executable(test_argparse argparse_test.cxx)
target_link_libraries(test_argparse ${TEST_LIBS})
add_test(argparse ${EXECUTABLE_OUTPUT_PATH}/test_argparse)

add_executable(test_CSSBorder CSSBorder_test.cxx)
add_test(CSSBorder ${EXECUTABLE_OUTPUT_PATH}/test_CSSBorder)
target_link_libraries(test_CSSBorder ${TEST_LIBS})

add_executable(test_tabbed_values tabbed_values_test.cxx)
add_test(tabbed_values ${EXECUTABLE_OUTPUT_PATH}/test_tabbed_values)
target_link_libraries(test_tabbed_values ${TEST_LIBS})

add_executable(test_strutils strutils_test.cxx)
target_link_libraries(test_strutils ${TEST_LIBS})
add_test(strutils ${EXECUTABLE_OUTPUT_PATH}/test_strutils)

add_executable(test_path path_test.cxx )
add_test(path ${EXECUTABLE_OUTPUT_PATH}/test_path)
target_link_libraries(test_path ${TEST_LIBS})

add_executable(test_sg_dir sg_dir_test.cxx)
target_link_libraries(test_sg_dir ${TEST_LIBS})
add_test(sg_dir ${EXECUTABLE_OUTPUT_PATH}/test_sg_dir)

endif(ENABLE_TESTS)

add_boost_test(SimpleMarkdown
  SOURCES SimpleMarkdown_test.cxx
  LIBRARIES ${TEST_LIBS}
)

add_boost_test(SVGpreserveAspectRatio
  SOURCES SVGpreserveAspectRatio_test.cxx
  LIBRARIES ${TEST_LIBS}
)

add_boost_test(utf8tolatin1
  SOURCES utf8tolatin1_test.cxx
  LIBRARIES ${TEST_LIBS}
)

=== debian/changelog ===
simgear (1:2018.2.2+dfsg-1~mx17+1) mx; urgency=medium

  * Repackaged fr MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Fri, 09 Nov 2018 17:02:23 -0800

simgear (1:2018.2.2+dfsg-1) unstable; urgency=medium

  [ Markus Wanner ]
  * Add netbase to Build-Depends so that basic name resolution works
    during builds. Closes: #899074.

  [ Dr. Tobias Quathamer ]
  * New upstream version 2018.2.2+dfsg
    - Refresh patches
    - Add new patch to fix failing HTTP test
  * Update Standards-Version to 4.2.0, no changes needed
  * Fix wrong homepage URL. (Closes: #897090)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 22 Aug 2018 09:55:51 +0200

simgear (1:2018.1.1+dfsg-2) unstable; urgency=medium

  * Set maintainer e-mail address to team+flightgear@tracker.d.o

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 06 May 2018 09:51:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: simgear
 Section: libs
 Priority: optional
-Maintainer: Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian FlightGear Crew <team+flightgear@tracker.debian.org>
 Uploaders: Ove Kaaven <ovek@arcticnet.no>,
            Markus Wanner <markus@bluegap.ch>,
            Dr. Tobias Quathamer <toddy@debian.org>
@@ -17,9 +18,10 @@
                libopenscenegraph-dev (>= 3.2.0~) [armel armhf],
                libudns-dev,
                libutfcpp-dev,
+               netbase,
                zlib1g-dev
-Standards-Version: 4.1.4
-Homepage: http://www.simgear.org/
+Standards-Version: 4.2.0
+Homepage: http://www.flightgear.org/
 Vcs-Browser: https://salsa.debian.org/debian/simgear
 Vcs-Git: https://salsa.debian.org/debian/simgear.git

=== debian/rules ===
--- 
+++ 
@@ -52,3 +52,7 @@
 
 get-orig-source:
 	uscan --download-current-version --verbose --rename
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+

## simgear 2018.3.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,6 +32,7 @@
 
 # only relevant for building shared libs but let's set it regardless
 set(CMAKE_OSX_RPATH 1)
+set(CMAKE_OSX_DEPLOYMENT_TARGET "10.9" CACHE STRING "Minimum OS X deployment version")
 
 # let's use & require C++11 - note these are only functional with CMake 3.1
 # we do manual fallbacks for CMake 3.0 in the compilers section
@@ -44,12 +45,7 @@
 
 project(SimGear VERSION ${SIMGEAR_VERSION} LANGUAGES C CXX)
 
-# using 10.7 because boost requires libc++ and 10.6 doesn't include it
-# Cmake documentation says we must set this before calling project(), but
-# it only seems to be picked up setting it /after/ the call to project()
-set(CMAKE_OSX_DEPLOYMENT_TARGET "10.7")
-
-# add a dependency on the versino file
+# add a dependency on the version file
 set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS version)
 
 set_property(GLOBAL PROPERTY FIND_LIBRARY_USE_LIB64_PATHS TRUE)
@@ -126,7 +122,7 @@
 option(ENABLE_GDAL      "Set to ON to build SimGear with GDAL support" OFF)
 option(ENABLE_TESTS     "Set to OFF to disable building SimGear's test applications" ON)
 option(ENABLE_SOUND     "Set to OFF to disable building SimGear's sound support" ON)
-option(USE_AEONWAVE     "Set to ON to use AeonWave instead of OpenAL" OFF)
+option(USE_AEONWAVE     "Set to ON to use AeonWave instead of OpenAL" ON)
 option(ENABLE_PKGUTIL   "Set to ON to build the sg_pkgutil application (default)" ON)
 option(ENABLE_DNS       "Set to ON to use udns library and DNS service resolver" ON)
 option(ENABLE_SIMD      "Enable SSE/SSE2 support for x86 compilers" ON)
@@ -167,14 +163,22 @@
 if (MSVC AND MSVC_3RDPARTY_ROOT)
   message(STATUS "3rdparty files located in ${MSVC_3RDPARTY_ROOT}")
 
+  string(SUBSTRING ${MSVC_VERSION} 0 2 MSVC_VERSION_MAJOR)
+  string(SUBSTRING ${MSVC_VERSION} 2 2 MSVC_VERSION_MINOR)
+
   set( OSG_MSVC "msvc" )
-  if (${MSVC_VERSION} EQUAL 1900)
+  if (${MSVC_VERSION_MAJOR} EQUAL "19")
+    if (${MSVC_VERSION_MINOR} EQUAL "00")
       set( OSG_MSVC ${OSG_MSVC}140 )
-  elseif (${MSVC_VERSION} EQUAL 1800)
-      set( OSG_MSVC ${OSG_MSVC}120 )
+    else ()
+      set( OSG_MSVC ${OSG_MSVC}141 )
+    endif ()
+  elseif (${MSVC_VERSION_MAJOR} EQUAL "18")
+    set( OSG_MSVC ${OSG_MSVC}120 )
   else ()
-      message(FATAL_ERROR "Visual Studio 2013/2015 is required now")
+    message(FATAL_ERROR "Visual Studio 2013/15/17 is required")
   endif ()
+
   if (CMAKE_CL_64)
       set( OSG_MSVC ${OSG_MSVC}-64 )
       set( MSVC_3RDPARTY_DIR 3rdParty.x64 )
@@ -194,11 +198,8 @@
     message(STATUS "BOOST_INCLUDEDIR is ${BOOST_INCLUDEDIR}")
   endif()
 
-  if (NOT USE_AEONWAVE)
-    set (OPENAL_INCLUDE_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include)
-    set (OPENAL_LIBRARY_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/lib)
-    message(STATUS "OPENAL_INCLUDE_DIR is ${OPENAL_INCLUDE_DIR}")
-  endif()
+  set (OPENAL_INCLUDE_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/include)
+  set (OPENAL_LIBRARY_DIR ${MSVC_3RDPARTY_ROOT}/${MSVC_3RDPARTY_DIR}/lib)
 endif (MSVC AND MSVC_3RDPARTY_ROOT)
 
 if(APPLE)
@@ -222,12 +223,19 @@
 
     if (ENABLE_SOUND)
         if (USE_AEONWAVE)
-            find_package(AAX COMPONENTS aax REQUIRED)
-        else()
+            find_package(AAX)
+        endif()
+
+        if(NOT AAX_FOUND)
+            set(USE_AEONWAVE FALSE)
             find_package(OpenAL REQUIRED)
         endif()
 
-        message(STATUS "Sound support: ENABLED")
+        if(AAX_FOUND)
+            message(STATUS "Sound support: AeonWave")
+        else()
+            message(STATUS "Sound support: OpenAL")
+        endif()
     endif(ENABLE_SOUND)
 
     find_package(OpenSceneGraph 3.2.0 REQUIRED osgText osgSim osgDB osgParticle osgGA osgViewer osgUtil)
@@ -303,8 +311,3 @@
 check_function_exists(rint HAVE_RINT)
 check_function_exists(mkdtemp HAVE_MKDTEMP)
 check_function_exists(bcopy HAVE_BCOPY)
-check_function_exists(mmap HAVE_MMAP)
-
-if (NOT MSVC)
-  check_function_exists(timegm HAVE_TIMEGM)
-  if (NOT HAVE_TIMEGM)

=== debian/changelog ===
simgear (1:2018.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version 2018.3.1+dfsg
  * Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 07 Dec 2018 22:58:59 +0100

simgear (1:2018.2.2+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Markus Wanner ]
  * Update homepage to use https protocol and point to home.flightgear.org
  * Replace disable_dns_test.patch with a more general
    disable_network_test.patch, keep building test binaries.
    Closes: #913381.
  * Bump S-V to 4.2.1: no changes required.
  * Extend the spelling fixes patch.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 11 Nov 2018 15:35:28 +0100
